# SoPickedPointList Class Reference
[General classes]

`#include <Inventor/lists/SoPickedPointList.h>`

Inheritance diagram for SoPickedPointList:

List of all members.

## Detailed Description

The SoPickedPointList class is a container for pointers to SoPickedPoint objects.

This list class will delete the picked points when destructed/truncated, or when a picked point in the list is replaced by another picked point The caller is responsible for allocating the picked points passed to the list, but should not deallocate them since this will be handled by the list.

See also:
  SbPList

## Public Member Functions

| SoPickedPointList (void)
| SoPickedPointList (const int sizehint)
| SoPickedPointList (const SoPickedPointList &l)
void | append (SoPickedPoint *pp)
void | insert (SoPickedPoint *pp, const int insertbefore)
SoPickedPoint * | operator[] (const int idx) const
void | truncate (const int start, const int fit=0)
void | set (const int idx, SoPickedPoint *pp)

## Constructor & Destructor Documentation

SoPickedPointList::SoPickedPointList | ( | void |  | ) | `[inline]`

| Default constructor.

SoPickedPointList::SoPickedPointList | ( | const int | sizehint | ) | `[inline]`

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also:
  SbList::SbList(const int sizehint)

SoPickedPointList::SoPickedPointList | ( | const SoPickedPointList & | l | ) |

Copy constructor. Will copy picked points, not just pointers.

See also:
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

SoPickedPoint * SoPickedPointList::operator[] | ( | const int | idx | ) | const`[inline]`

| Returns element at idx. Will automatically expand the size of the internal array if idx is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`. Reimplemented from SbPList.

void SoPickedPointList::truncate | ( | const int | start,
|  | const int | fit = 0
| ) |

| Overridden to delete truncated items. Reimplemented from SbPList.

void SoPickedPointList::set | ( | const int | idx,
|  | SoPickedPoint * | pp
| ) |

| Overridden to destruct the replaced item.

The documentation for this class was generated from the following files:

- SoPickedPointList.h
- SoPickedPointList.cpp